org.keycloak.dom.saml.v2.metadata

## Class AuthnAuthorityDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType
    - - org.keycloak.dom.saml.v2.metadata.AuthnAuthorityDescriptorType

-     public class AuthnAuthorityDescriptorType
      extends RoleDescriptorType

  Java class for AuthnAuthorityDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnAuthorityDescriptorType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}RoleDescriptorType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AuthnQueryService" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AssertionIDRequestService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}NameIDFormat" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EndpointType>` | `assertionIDRequestService`
    `protected List<EndpointType>` | `authnQueryService`
    `protected List<String>` | `nameIDFormat`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `cacheDuration, contactPerson, errorURL, extensions, id, keyDescriptor, organization, protocolSupportEnumeration, signature, validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnAuthorityDescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionIDRequestService(EndpointType endpoint)` Add assertion id request service
    `void` | `addAuthnQueryService(EndpointType endpoint)` Add authn query service
    `void` | `addNameIDFormat(String str)` Add name id format
    `List<EndpointType>` | `getAssertionIDRequestService()` Gets the value of the assertionIDRequestService property.
    `List<EndpointType>` | `getAuthnQueryService()` Gets the value of the authnQueryService property.
    `List<String>` | `getNameIDFormat()` Gets the value of the nameIDFormat property.
    `void` | `removeAssertionIDRequestService(EndpointType endpoint)` remove assertion id request service
    `void` | `removeAuthnQueryService(EndpointType endpoint)` Remove authn query service
    `void` | `removeNameIDFormat(String str)` remove name id format

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `addContactPerson, addKeyDescriptor, getCacheDuration, getContactPerson, getErrorURL, getExtensions, getID, getKeyDescriptor, getOrganization, getProtocolSupportEnumeration, getSignature, getValidUntil, removeContactPerson, removeKeyDescriptor, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setSignature, setValidUntil`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authnQueryService

          protected List<EndpointType> authnQueryService

    - #### assertionIDRequestService

          protected List<EndpointType> assertionIDRequestService

    - #### nameIDFormat

          protected List<String> nameIDFormat

  - ### Constructor Detail

    - #### AuthnAuthorityDescriptorType

          public AuthnAuthorityDescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addAuthnQueryService

          public void addAuthnQueryService(EndpointType endpoint)

      Add authn query service
      Parameters:
        `endpoint` -

    - #### addAssertionIDRequestService

          public void addAssertionIDRequestService(EndpointType endpoint)

      Add assertion id request service
      Parameters:
        `endpoint` -

    - #### addNameIDFormat

          public void addNameIDFormat(String str)

      Add name id format
      Parameters:
        `str` -

    - #### removeAuthnQueryService

          public void removeAuthnQueryService(EndpointType endpoint)

      Remove authn query service
      Parameters:
        `endpoint` -

    - #### removeAssertionIDRequestService

          public void removeAssertionIDRequestService(EndpointType endpoint)

      remove assertion id request service
      Parameters:
        `endpoint` -

    - #### removeNameIDFormat

          public void removeNameIDFormat(String str)

      remove name id format
      Parameters:
        `str` -

    - #### getAuthnQueryService

          public List<EndpointType> getAuthnQueryService()

      Gets the value of the authnQueryService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getAssertionIDRequestService

          public List<EndpointType> getAssertionIDRequestService()

      Gets the value of the assertionIDRequestService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getNameIDFormat

          public List<String> getNameIDFormat()

      Gets the value of the nameIDFormat property.

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.